GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory Class Reference

## Public Member Functions
Date | getDate ()
void | setDate (Date value)
String | getLocationCode ()
void | setLocationCode (String value)
String | getLocation ()
void | setLocation (String value)
String | getCountry ()
void | setCountry (String value)
String | getStatusCode ()
void | setStatusCode (String value)
String | getDescription ()
void | setDescription (String value)

## Protected Attributes
Date | date
String | locationCode
String | location
String | country
String | statusCode
String | description

## Detailed Description

Transport history details of the unit

Java class for TUHistory complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="TUHistory">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Date" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
            <element name="LocationCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Location" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Country" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="StatusCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 49 of file TUHistory.java.

## Member Function Documentation

## ◆ getCountry()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getCountry | ( |  | ) |

Gets the value of the country property.

Returns
  possible object is String

Definition at line 146 of file TUHistory.java.

## ◆ getDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getDate | ( |  | ) |

Gets the value of the date property.

Returns
  possible object is String

Definition at line 74 of file TUHistory.java.

## ◆ getDescription()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getDescription | ( |  | ) |

Gets the value of the description property.

Returns
  possible object is String

Definition at line 194 of file TUHistory.java.

## ◆ getLocation()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getLocation | ( |  | ) |

Gets the value of the location property.

Returns
  possible object is String

Definition at line 122 of file TUHistory.java.

## ◆ getLocationCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getLocationCode | ( |  | ) |

Gets the value of the locationCode property.

Returns
  possible object is String

Definition at line 98 of file TUHistory.java.

## ◆ getStatusCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.getStatusCode | ( |  | ) |

Gets the value of the statusCode property.

Returns
  possible object is String

Definition at line 170 of file TUHistory.java.

## ◆ setCountry()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setCountry | ( | String | value | ) |

Sets the value of the country property.

Parameters

  value | allowed object is String

Definition at line 158 of file TUHistory.java.

## ◆ setDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setDate | ( | Date | value | ) |

Sets the value of the date property.

Parameters

  value | allowed object is String

Definition at line 86 of file TUHistory.java.

## ◆ setDescription()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setDescription | ( | String | value | ) |

Sets the value of the description property.

Parameters

  value | allowed object is String

Definition at line 206 of file TUHistory.java.

## ◆ setLocation()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setLocation | ( | String | value | ) |

Sets the value of the location property.

Parameters

  value | allowed object is String

Definition at line 134 of file TUHistory.java.

## ◆ setLocationCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setLocationCode | ( | String | value | ) |

Sets the value of the locationCode property.

Parameters

  value | allowed object is String

Definition at line 110 of file TUHistory.java.

## ◆ setStatusCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.setStatusCode | ( | String | value | ) |

Sets the value of the statusCode property.

Parameters

  value | allowed object is String

Definition at line 182 of file TUHistory.java.

## Member Data Documentation

## ◆ country

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.country
| protected

Definition at line 60 of file TUHistory.java.

## ◆ date

Date eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.date
| protected

Definition at line 54 of file TUHistory.java.

## ◆ description

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.description
| protected

Definition at line 64 of file TUHistory.java.

## ◆ location

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.location
| protected

Definition at line 58 of file TUHistory.java.

## ◆ locationCode

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.locationCode
| protected

Definition at line 56 of file TUHistory.java.

## ◆ statusCode

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.TUHistory.statusCode
| protected

Definition at line 62 of file TUHistory.java.

The documentation for this class was generated from the following file:

- TUHistory.java